Bug 1024318 - meld should use system python interpreter
meld should use system python interpreter
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: meld (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 07:39 EDT by Elias Persson
Modified: 2014-03-21 05:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: meld-1.8.4-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-15 11:14:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elias Persson 2013-10-29 07:39:03 EDT
Description of problem:
Hashbang of /usr/bin/meld is "#! /usr/bin/env python". Since its dependencies are installed as system libs and it depends on a specific version of python, it should use that specific version of python (i.e. "#!/usr/bin/python" (or python2, or python2.7)).


Version-Release number of selected component (if applicable):
meld-1.8.1-1.fc19.noarch


How reproducible:
Always.


Steps to Reproduce (using virtualenvwrapper commands):
1. Create virtualenv: mktmpenv
2. Run: meld

Actual results:
$ meld
Cannot import: pygtk
No module named pygtk


Steps to Reproduce (using virtualenvwrapper commands, with python3):
1. Create virtualenv: mktmpenv -p /usr/bin/python3
2. Run: meld

Actual results:
$ meld
  File "/usr/bin/meld", line 107
    print "Couldn't bind the translation domain. Some translations won't work."
                                                                              ^
SyntaxError: invalid syntax


Expected results (for both cases):
A meld window.


Additional info:
Common enough to run into, when using git-difftool (or equivalent for other VCS) in a project using virtualenv.
Comment 1 Fedora Update System 2014-03-10 18:23:49 EDT
meld-1.8.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/meld-1.8.4-1.fc20
Comment 2 Fedora Update System 2014-03-12 08:21:39 EDT
Package meld-1.8.4-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing meld-1.8.4-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3747/meld-1.8.4-1.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2014-03-15 11:14:11 EDT
meld-1.8.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2014-03-21 05:37:08 EDT
meld-1.8.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.